<?php
/*
 *
 * @copyright (c) 2009 animegame.eu
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU General Public Licence
 *
 */

include_once(ROOT_PATH.'/include/clan.inc.php');
include_once(ROOT_PATH.'/include/fehlerausgabe.inc.php');
include_once(ROOT_PATH.'/include/parse.inc.php');

//Get-Section
if(isset($_GET['action'])) {
	$action = $_GET['action'];
} else {
	$action = NULL;
}
$challangedclan_id = validateUnsignedInteger($_GET['challangedclan_id'], null);
$inquirychallenge_clanid = validateUnsignedInteger($_GET['clanid'], null);

//unkritisch

function displayChallengeClan($user, $clan_id) {
	if($clan_id == -1 || $clan_id == NULL) {
		displayErrorMessage(NULL,'Es wurde kein Clan ausgewählt!', displayHistoryBackLink());
		exit;
	}

	if($user['clan'] == $clan_id) {
		displayErrorMessage(NULL,'Man kann sich nicht selbst herausfordern!', displayHistoryBackLink());
		exit;
	}
	//TODO: es sollte hier unbedingt ne Auswahl geben wieviel Leute nun kämpfen dürfen :)
	$result = challengeClan($user, $clan_id, 5);
	if ($result != NULL) {
		displayErrorMessage(NULL, $result, displayHistoryBackLink());
		exit;
	} else {
		displayErrorMessage(NULL, 'Clan erfolgreich herausgefordert!', displayHistoryBackLink());
		exit;
	}
}

function displayChallengeAccepted($user, $clan_id) {
	if(!is_numeric($clan_id)) {
		displayErrorMessage(NULL, 'Wollte da jemand schummeln? ;)', displayHistoryBackLink());
		exit;
	}
	acceptChallengeRequest($clan_id, $user);
	echo 'Herausforderung wurde angenommen!<br><br>';
	echo displayHistoryBackLink();
}

function displayDenyChallenge($clan_id) {
	if(!is_numeric($clan_id)) {
		displayErrorMessage(NULL, 'Wollte da jemand schummeln? ;)', displayHistoryBackLink());
		exit;
	}
	?>
<table>
	<tr>
		<th colspan="2">Herausforderung wirklich ablehnen?</th>
	</tr>
	<tr>
		<td align="center"><?php echo '<a href="index.php?as=clan/kampf_info&action=denychallenge&clanid='.$clan_id.'">ja</a>';?></td>
		<td align="center"><?php echo '<a href="index.php?as=clan/kampf_info">nein</a>';?></td>
	</tr>
</table>
	<?php
}

function getFightType($id) {
	switch ($id) {
		case DAVY_BACK_FIGHT:
			return 'Davy Back';
		case SURVIVAL:
			return 'Survival';
		default:
			return 'unbekannt';
	}
}

function displayClanFightMenu($user) {
	$user_clan = getClan($user['clan']);
//	$clans = getAllClans();
	$clans_tmp = getClanFightCapableClanIds();
	foreach ($clans_tmp as $clan_tmp_id) {
		$clans[] = getClan($clan_tmp_id);
	}
	$challenges = getOpenChallengeRequests($user_clan['id']);
	$test = getOpenChallengeIDs($user_clan['id']);
	?>
<div align="center">
	<table width="100%" border="1">
		<tr>
			<th height="30" colspan="2" align="center">Herausforderungen</th>
		</tr>
		<tr>
			<th align="Left" height="25">Clan herausfordern</th>
			<td>
				<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="GET">
					<input type="hidden" name="as" value="clan/kampf_info"> <input
						type="hidden" name="action" value="challengeclan"> <select
						id="input" name="challangedclan_id">
						<option value="-1">Clan ausw&auml;hlen</option>
						<?php
						foreach($clans as $c) {
							echo '<option value="'.$c['id'].'">'.$c['clanname'].'</option>';
						}
						?>
					</select> <input class="input" type="submit" value="herausfordern" />
				</form>
			</td>
		</tr>
		<tr>
			<td colspan="3">
				<table width="100%" border="1">
					<tr>
						<th align="center" height="25">Herausforderer</th>
						<th align="center" height="25">Datum</th>
						<th align="center" height="25">Typ</th>
						<th align="center" height="25">Anzahl</th>
						<th align="center" height="25">Option</th>
					</tr>
					<?php
					foreach ($challenges as $challenge) {
						$clan = getClan($challenge['clan_requester']);
						echo '<tr><td align ="center">'.$clan['clanname'].'</td><td align ="center">'.formatTimestamp($challenge['challenged_time']).'</td>';
						echo '<td align ="center">'.getFightType($challenge['type']).'</td><td align ="center">'.$challenge['anzahl_chars'].'</td>';
						echo '<td align ="center"><a href="index.php?as=clan/kampf_info&action=acceptchallenge&clanid='.$clan['id'].'">annehmen</a> |';
						echo '<a href="index.php?as=clan/kampf_info&action=q_denychallenge&clanid='.$clan['id'].'">ablehnen</a></td></tr>';
					}
					?>
				</table>
			</td>
		</tr>
		<tr>
			<th height="30" colspan="2" align="center">offene Herausforderungen</th>
		</tr>
		<?php
		foreach ($challenges as $cllng) {
			echo '<tr> <td>'.$cllng.'<td></tr>';
		}
		?>
	</table>
</div><?php
}

if($action == 'challengeclan') {
	displayChallengeClan($user_ida, $challangedclan_id);
} else if($action == 'acceptchallenge') {
	displayChallengeAccepted($user_ida, $inquirychallenge_clanid);
} else if($action == 'q_denychallenge') {
	displayDenyChallenge($inquirychallenge_clanid);
} else if($action == 'denychallenge') {
	denyChallengeRequest($inquirychallenge_clanid, $user_ida);
	displayClanFightMenu($user_ida);
} else if ($action == NULL) {
	displayClanFightMenu($user_ida);
}
?>